from logging import getLogger


log = getLogger("jsonrpc.connectors")

try:
    from .memcache_conn import DummyCacheClient, CacheClient, connect_memcache
except BaseException:
    log.warning("Unable to import memcache", exc_info=True)
try:
    from .mongo_conn import connect_mongodb
except BaseException:
    log.warning("Unable to import mongo", exc_info=True)
try:
    from .mysql_conn import connect_mysql
    connect_db = connect_mysql  # backward compatibility
except BaseException:
    log.warning("Unable to import mysql", exc_info=True)
try:
    from .mysql_pool_conn import connect_mysql_pool
except BaseException:
    log.warning("Unable to import mysql pool", exc_info=True)
try:
    from .postgresql_conn import Record, MyNamedTupleCursor, connect_postgre
except BaseException:
    log.warning("Unable to import postgres", exc_info=True)
try:
    from .redis_conn import connect_redis
except BaseException:
    log.warning("Unable to import redis", exc_info=True)
try:
    from .mssql_conn import connect_mssql
except BaseException:
    log.warning("Unable to import MS-SQL", exc_info=True)

# eof
