from logging import getLogger
log = getLogger("jsonrpc.connectors.mongo")


def connect_mongodb(config, section="mongo"):
    """
    helper funkce pro napojeni mongo databaze
        Host=       #server na kterem to bezi
        Port=       #port kde to bezi
        Username=   #jmeno uzivatele
        Password=   #heslo
        Database=   #nazev databaze
        Debug=      #jestli použít debug (hodnota 0/1)
    """
    try:
        import pymongo
    except ImportError:
        log.exception("Nemohu naimportovat python pyckage: pymongo")
        return
    # endtry
    conn = pymongo.MongoClient(
        config.get(
            section, "host", config.get(section, "hostname", "localhost")),
        config.getint(section, "port", 27017),
    )
    db = conn[config.get(section, "database", config.get(section, "db", "db"))]
    db.config_section = section
    return db
# enddef connect_mongodb
