from logging import getLogger

log = getLogger("jsonrpc.connectors.mssql")


class dummypymssql:
    pass


try:
    import pymssql
except BaseException:
    log.debug("Nemohu naimportovat python pyckage: pymssql", exc_info=True)

    pymssql = dummypymssql
# endtry


class MsSQLConnectionWrap:
    def __init__(self, conn, config, section):
        self.config = config
        self.section = section
        self.conn = conn

    def __getattr__(self, attr):
        return getattr(self.conn, attr)


def connect_mssql(config, section="mssql"):
    """
    """
    if pymssql == dummypymssql:
        raise RuntimeError("pymssql package not available")
    conn = pymssql.connect(
        server=config.get(section, "host", None),
        port=config.getint(section, "port", 1433),
        user=config.get(section, "username"),
        password=config.get(section, "password"),
        database=config.get(section, "database"),
        timeout=config.getint(section, "timeout", 60),
        login_timeout=60,
        charset=config.get(section, "charset", "utf8"),
        as_dict=True,
        appname=section,
        conn_properties=[],
        autocommit=False,
        tds_version=config.get(section, "tds_version", None)
    )

    return MsSQLConnectionWrap(conn, config, section)
# enddef
