#!/usr/bin/env python3
try:
    import psycopg2
except ImportError:
    class psycopg2:
        class Error(Exception):
            pass

        class OperationalError(Exception):
            pass

        class extras:
            class NamedTupleCursor:
                pass

            class RealDictCursor:
                pass

            class MyNamedTupleCursor:
                pass

    pass
# endtry

try:
    import pymssql
except ImportError:
    class pymssql:
        class Error(Exception):
            pass

        class OperationalError(Exception):
            pass

    pass
# endtry

DBTYPE_MYSQL = "mysql"
DBTYPE_PSQL = "postgre"

BLOCK_CACHE_VALUE = "__CACHE_BLOCKED__"

# pouze smaze z cache a nevola vlastni metodu
CACHE_FLUSH_BEFORE = "__FLUSH__VALUE_FROM_CACHE"
# nevytahne data z cache ale vola metodu po navratu ulozi do cahe
CACHE_RESAVE_AFTER = "__FLUSH__RECACHE_AFTER_EXECUTE"
# chova se jako by cache nebyla (nevytahuje ani neuklada)
CACHE_DO_FLUSH = "__FLUSH__VALUE_FROM_CACHE_AND_RETURN"


class CacheBlocked(Exception):
    pass
# endclass

# eof
