from logging import getLogger

from .RPC import RPC  # noqa F401
from .Server import Server  # noqa F401

from .exceptions import (  # noqa F401
    RPCException, MethodNotFound, MissingArgument, SessionRequired
)
from .decorators import method, cursor  # noqa F401
from .config import load_config  # noqa F401

log = getLogger("jsonrpc_server.__init__")

try:
    from .connectors import connect_db  # noqa F401
except BaseException:
    log.warning("Can't import connect_db")
# endtry
try:
    from .connectors import connect_memcache  # noqa F401
except BaseException:
    log.warning("Can't import connect_memcache")
# endtry
try:
    from .connectors import connect_redis  # noqa F401
except BaseException:
    log.warning("Can't import connect_redis")
# endtry


class RPCIface:
    prefix = None
    redis = None
    cache = None
    postgre = None
    mailserver = None
