#!/usr/bin/env python3

from sys import argv

from packagelib import create_tag, setup
from packagelib.setup import (
    check_notes, need_push_pull, has_commits, _edit_version
)

name = 'jsonrpc-server'
description = (
    'Tools for constructing jsonrpc server'
)
url = "http://www.grandit.cz/"


# find packages nejde použít mám jiný název balíčku než adresáře kam se to dá
packages = [
    'jsonrpc',
    'jsonrpc.stat',
    'jsonrpc.decorators',
    'jsonrpc.connectors',
    'jsonrpc.doc_gen',
]


def test():
    from pprint import pprint
    pprint(packages)


def check(name):
    check_notes()
    need_push_pull()
    has_commits(name)
    _edit_version("VERSION")


methods = {
    "check": (check, (name,), {}),
    "tag": (create_tag, (name,), {}),
    "test": (test, (), {})
}


if __name__ == "__main__":
    if argv[1] in methods.keys():
        method, args, kwargs = methods[argv[1]]
        method(*args, **kwargs)
        exit(0)
    else:
        req = [
            i.strip() for i in
            open("./system-requirements.txt", "r").readlines()
            if i.strip()
        ] + [
            i.strip() for i in
            open("./grandit-requirements.txt", "r").readlines()
            if i.strip()
        ]
        setup(
            version=open("VERSION", "r").readline().strip(),
            description=description,
            name=name,
            packages=packages,
            package_data={
                "jsonrpc": ["static/*.html", "static/en/*html"]
            },
            url=url,
            install_requires=req,
        )
